IncreaseContainersResourceRequest (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: IncreaseContainersResourceRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class IncreaseContainersResourceRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.IncreaseContainersResourceRequest

@Public @Unstable public abstract class IncreaseContainersResourceRequest extends Object

The request sent by `Application Master` to the `Node Manager` to change the resource quota of a container.

See Also:
  - `ContainerManagementProtocol.increaseContainersResource(IncreaseContainersResourceRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IncreaseContainersResourceRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract List<Token>`
  `getContainersToIncrease()`
  Get a list of container tokens to be used for authorization during container resource increase.
  `static IncreaseContainersResourceRequest`
  `newInstance(List<Token> containersToIncrease)`
  `abstract void`
  `setContainersToIncrease(List<Token> containersToIncrease)`
  Set container tokens to be used during container resource increase.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IncreaseContainersResourceRequest

    public IncreaseContainersResourceRequest()

- ## Method Details

  - ### newInstance

    @Public @Unstable public static IncreaseContainersResourceRequest newInstance(List<Token> containersToIncrease)

  - ### getContainersToIncrease

    @Public @Unstable public abstract List<Token> getContainersToIncrease()
    Get a list of container tokens to be used for authorization during container resource increase.

    Note: `NMToken` will be used for authenticating communication with `NodeManager`.

    Returns:
      the list of container tokens to be used for authorization during container resource increase.
    See Also:
      - `NMToken`

  - ### setContainersToIncrease

    @Public @Unstable public abstract void setContainersToIncrease(List<Token> containersToIncrease)
    Set container tokens to be used during container resource increase. The token is acquired from `AllocateResponse.getIncreasedContainers`. The token contains the container id and resource capability required for container resource increase.
    Parameters:
      `containersToIncrease` - the list of container tokens to be used for container resource increase.